#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int main()
{
    int N, L, i = 0;
    cin >> N >> L;
    vector <int> st (N);
    for (; i < N; i++)
        cin >> st [i];
    i = 0;
    while (i < N && st[i] > L) i++;
    if (i < N) cout << ++i;
    else cout << -1 << endl;
    return 0;
}